List pipelines
curl --request GET \
--url https://api.dialtu.com/api/v2/public/salesflow/pipelines \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.dialtu.com/api/v2/public/salesflow/pipelines"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.dialtu.com/api/v2/public/salesflow/pipelines', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"status": "success",
"data": [
{
"id": 123,
"name": "<string>",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"stage_count": 0,
"client_count": 0
}
],
"count": 0,
"limit": 20,
"offset": 0
}
Salesflow pipelines
List pipelines
List the pipelines visible to this API key, newest first. Deleted
pipelines are excluded. Use the id with List API input nodes of a
pipeline and List stages in a pipeline.
GET
/
api
/
v2
/
public
/
salesflow
/
pipelines
List pipelines
curl --request GET \
--url https://api.dialtu.com/api/v2/public/salesflow/pipelines \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.dialtu.com/api/v2/public/salesflow/pipelines"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.dialtu.com/api/v2/public/salesflow/pipelines', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"status": "success",
"data": [
{
"id": 123,
"name": "<string>",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"stage_count": 0,
"client_count": 0
}
],
"count": 0,
"limit": 20,
"offset": 0
}
Authorizations
API key created in the dashboard under Settings → API Keys. Send it as Authorization: Bearer pk_....
Query Parameters
Only pipelines in this status: draft, active, paused or archived.
Page size (1–100).
Required range:
1 <= x <= 100Number of pipelines to skip.
Required range:
x >= 0Response
OK
Paginated pipeline list.